Ubuntu: FrostWire Not Installing



Question:

When I try to install FrostWire on 14.04 LTS, it says

Dependency is not satisfiable: openjdk-8-jre  

Any ideas how to fix it?

Here is a picture of the error


Solution:1

You need to manually install openjdk-8-jdk first.

Open a terminal (Ctrl+Alt+T) and run :

sudo add-apt-repository ppa:openjdk-r/ppa  sudo apt-get update  sudo apt-get install openjdk-8-jdk  

When the openjdk-8-jdk installation is done, try to reinstall frostwire :

wget http://dl1.frostwire.com/frostwire/6.1.9/frostwire-6.1.9.all.deb  sudo dpkg -i frostwire-6.1.9.all.deb  


Solution:2

@hg8s answer is perfect, but I have an alternative solution, remove the openjdk-8-jre dependency and install a Java 8 of your choice:

  1. Extract the DEB package

    dpkg -x frostwire-6.1.9.all.deb frostwire  
  2. Go into the extracted folder and extract the control file

    cd frostwire  dpkg -e ../frostwire-6.1.9.all.deb  
  3. Remove the dependency

    sed 's/openjdk-8-jre,//' DEBIAN/control  
  4. Re-build the DEB package

    cd ..  dpkg -b frostwire  
  5. Install the new DEB package

    sudo dpkg -i frostwire.deb  
  6. Install your preferred Java 8, e.g. Oracle Java 8

    sudo add-apt-repository ppa:webupd8team/java  sudo apt-get update  sudo apt-get install oracle-java8-installer  sudo update-java-alternatives -s java-8-oracle  

    or an other Java 8 of your choice.


Note:If u also have question or solution just comment us below or mail us on toontricks1994@gmail.com
Previous
Next Post »